<?php
require_once "../../koolreport/autoload.php";
use \koolreport\processes\ValueMap;

class TestValueMap extends \koolreport\koolreport
{
    use \koolreport\clients\BootstrapCSS;
    use \koolreport\clients\FontAwesome;

    function settings()
    {
        return array(
            "dataSources"=>array(
                "test"=>array(
                    "class"=>'\koolreport\datasources\ArrayDataSource',
                    "dataFormat"=>"associate",
                    "data"=>array(
                        array("type"=>"C-Store","wisconsin"=>0,"kroger"=>1),
                        array("type"=>"Candy Tobaco","wisconsin"=>1,"kroger"=>0),
                    )
                ),
            )
        );
    }
    function setup()
    {
        $this->src('test')
        ->pipe($this->dataStore('test'));
    }
}